
from distutils.core import setup, Extension
import os
setup(name='Tkynter',
      version='1.0',
      ext_modules=[Extension('_tkynter', ['_tkynter.c', 'tkappinit.c'],
                             define_macros=[('WITH_APPINIT', 1)],
                             include_dirs = [os.environ.get("SAGE_LOCAL") + os.sep + "include",
                                             os.environ.get("SAGE_LOCAL") + os.sep + "include" + os.sep + "python2.5"],
                             libraries = ["tcl8.5","tk8.5"],
                             library_dirs = [os.environ.get("SAGE_LOCAL") + os.sep + "lib"],
                             )],
      py_modules=['Tkynter']
      )

