
execfile( "/home/cn/workplace/yacop/stgfr.py" )

def testmult(prime,deg1,deg2):
    tcl = Yacop.Slave()
    tcl.eval("set p %d; set deg1 %d;set deg2 %d" % (prime,deg1,deg2));
    A = sage.algebras.steenrod_algebra.SteenrodAlgebra_generic(prime)
    res = tcl.eval("""

steenrod::enumerator A -prime $p -algebra {0 -1 {10 10 10 10 10 10 10} 0} -genlist 0

set func ::yacop::sage::[expr {$p==2 ? "sagepoly_odd" : "sagepoly_odd"}]
interp alias {} 2sage.impl {} $func $p
proc 2sage {args} {
   set res [2sage.impl {*}$args]
   if {$res eq ""} {return 0}
   return "($res)"
}

A configure -ideg $deg1 -edeg 0
set bas1 [A basis]
A configure -ideg $deg2 -edeg 0
set bas2 [A basis]

set test {}

foreach e1 {0} {
foreach e2 {0 1 2 3 4 5 6 7} {

foreach x $bas1 { 
lset x 1 $e1
   foreach y $bas2 {
lset y 1 $e2
      set prod [steenrod::poly steenmult [list $x] [list $y] $p]
      lappend test "\\"[2sage [list $x]] * [2sage [list $y]] == [2sage $prod]\\""
   }
}
}
}
if {[llength $test]} {
    puts "[llength $test] tests for p=$p ($deg1 * $deg2)"
}
return "\[[join $test ,]\]"
""")
    #print res
    for x in eval(res):
        print x
        k = eval(x)
        print "p=%d, degs %d x %d / res = %s" % (p,deg1,deg2,k)
        if not k:
            raise ValueError, x


for p in [2,3,5,2]:
    A = sage.algebras.steenrod_algebra.SteenrodAlgebra_generic(p)
    for i in range(0,1+p*p*p):
        for j in range(0,1+p*p*p):
            testmult(p,i,j)


# currently, the first discrepancy found is "(+1*A.Q(1)*A.P(3)) * (+1*A.Q(0,1))"
# which should be "+2*A.Q(0,1,2)" (the sign is not currently correct)


# this throws an exception:
SteenrodAlgebra(5).P(0).degree()

